summaryrefslogtreecommitdiff
path: root/dev-python/pygresql
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-22 07:16:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-22 07:16:31 +0000
commit53244ad341b2ef21ba1af7b8280b0751cb188c76 (patch)
treea65f153916a40af956b229a08bbb1fcfcb2e35a9 /dev-python/pygresql
parent9932ca987db6018785e673261108d1cd3faae313 (diff)
downloadbaldeagleos-repo-53244ad341b2ef21ba1af7b8280b0751cb188c76.tar.gz
baldeagleos-repo-53244ad341b2ef21ba1af7b8280b0751cb188c76.tar.xz
baldeagleos-repo-53244ad341b2ef21ba1af7b8280b0751cb188c76.zip
Adding metadata
Diffstat (limited to 'dev-python/pygresql')
-rw-r--r--dev-python/pygresql/Manifest1
-rw-r--r--dev-python/pygresql/pygresql-6.2.0.ebuild68
2 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/pygresql/Manifest b/dev-python/pygresql/Manifest
index c9c50f176184..a25479547231 100644
--- a/dev-python/pygresql/Manifest
+++ b/dev-python/pygresql/Manifest
@@ -1 +1,2 @@
DIST pygresql-6.0.1.tar.gz 271855 BLAKE2B 76d3f18d2bdbe7aa1d4459784fd5f1d3d76feaaeb911f1679c66d1a579cef27a00af619416f03cfcd69804e4f5a997d82765c3e32d9ab371c6011b0915e3e018 SHA512 47b0296596d5d914ccd48e09f352f8da38ed82a0861a148525a675431df51b1261d03e7bbb158947d4d525d82e1790d0a4d4c4d293b29550c50965e2a4e89847
+DIST pygresql-6.2.0.tar.gz 272156 BLAKE2B 4fcd987b2c174e253765476fc754b71f58228ecfc142ce9c9e6e2d5dc473fa3f7ce8a1a1799ffdbb64c161254720c99010d2f59e2a19963305ac18e8fa026418 SHA512 437c19795670bea17989ddcd213341135d70dfcc3035cc82e25ab08c70df14e653b513ed8d0a7e118d8344b895950eec34ace824d09e07e12d3b5fe10912d069
diff --git a/dev-python/pygresql/pygresql-6.2.0.ebuild b/dev-python/pygresql/pygresql-6.2.0.ebuild
new file mode 100644
index 000000000000..3c2e5f5b11b1
--- /dev/null
+++ b/dev-python/pygresql/pygresql-6.2.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="PyGreSQL"
+POSTGRES_COMPAT=( 9.6 {10..18} )
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 postgres pypi
+
+DESCRIPTION="A Python interface for the PostgreSQL database"
+HOMEPAGE="
+ https://pygresql.github.io/
+ https://github.com/PyGreSQL/PyGreSQL/
+ https://pypi.org/project/PyGreSQL/
+"
+
+LICENSE="POSTGRESQL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? (
+ dev-db/postgresql[server]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.2-CFLAGS.patch
+)
+
+distutils_enable_tests unittest
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ postgres_pkg_setup
+ fi
+}
+
+src_test() {
+ local db="${T}/pgsql"
+ initdb --username=portage -D "${db}" || die
+ pg_ctl -w -D "${db}" start \
+ -o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+ psql -h "${T}" -U portage -d postgres \
+ -c "ALTER ROLE portage WITH PASSWORD 'postgres';" || die
+ createdb -h "${T}" -U portage test || die
+
+ cat > tests/LOCAL_PyGreSQL.py <<-EOF || die
+ dbhost = '${T}'
+ EOF
+
+ rm -rf pg || die
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${db}" stop || die
+}
+
+python_install_all() {
+ local DOCS=( docs/*.rst docs/community/* docs/contents/tutorial.rst )
+
+ distutils-r1_python_install_all
+}